package main

import (
	"log"
)

func main() {

	// Create a channel to push key-presses through
	keypresses := make(chan int)
	gamestate := make(chan int)

	screen, style, err := initilize()
	if err != nil {
		log.Fatalln("Initlization error: ", err)
	}
	defer quit(screen)

	go gameDirector(screen, style, keypresses, gamestate)
	keyboardProcessor(screen, keypresses, gamestate)

}
